<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

<head>

    <title>jebanutsa</title>
    <meta name="viewport" content="width=device-width, initial-scale=1"></meta>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"></link>
    <link rel="stylesheet" href="css/turbineMapStyle.css"></link>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js" type="application/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js" type="application/javascript"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" type="application/javascript"></script>

</head>


<body>
    <div class="main container-fluid">
        <div class="container content">
            <div class="row">
                <div class="col-lg-8 col-10">
                    <!-- Image Map Generated by http://www.image-map.net/ -->
                    <img class="img-fluid" src="images/deutschland.png" usemap="#general-map" id="map" alt=""></img>

                    <map name="general-map">
                        <area class="pin CHECK" id="testPinGen" alt="NDRSCHSN" title="TestTurbine" href="#popup" coords="" shape="circle"></area>

                        <area class="State" id="1" title="Berlin" alt="BRLN" coords="" shape="poly"></area>
                        <area class="State" id="2" title="Bremen" alt="BRMN" coords="" shape="poly"></area>
                        <area class="State" id="3" title="Brandenburg" alt="BRNDNBRG" coords="" shape="poly"></area>
                        <area class="State" id="4" title="Baden-Württemberg" alt="BW" coords="" shape="poly"></area>
                        <area class="State" id="5" title="Hessen" alt="HSSN" coords="" shape="poly"></area>
                        <area class="State" id="6" title="Macklenburg-Vorpommern" alt="MCKLNBRG" coords="" shape="poly"></area>
                        <area class="State" id="7" title="Niedersachsen" alt="NDRSCHSN" coords="" shape="poly"></area>
                        <area class="State" id="8" title="Nordrhein-Westfalen" alt="NRW" coords="" shape="poly"></area>
                        <area class="State" id="9" title="Rheinland-Pfalz" alt="RHNLDPFLZ" coords="" shape="poly"></area>
                        <area class="State" id="10" title="Schleswig-Holstein" alt="SCHLSWG" coords="" shape="poly"></area>
                        <area class="State" id="11" title="Sachsen" alt="SCHSN" coords="" shape="poly"></area>
                        <area class="State" id="12" title="Sachsen-Anhalt" alt="SCHSNNHLT" coords="" shape="poly"></area>
                        <area class="State" id="13" title="Saarland" alt="SRLND" coords="" shape="poly"></area>
                        <area class="State" id="14" title="Thüringen" alt="THRNGN" coords="" shape="poly"></area>
                        <area class="State" id="15" title="Hamburg" alt="HMBRG" coords="" shape="poly"></area>
                        <area class="State" id="16" title="Bayern" alt="BYRN" coords="" shape="poly"></area>

                        <area id="outskirts" alt="deutschland" coords="" shape="poly"></area>

                    </map>

                    <map name="BRLN_map" id="BRLN_map">

                    </map>

                    <map name="BRMN_map" id="BRMN_map">

                    </map>

                    <map name="BRNDNBRG_map" id="BRNDNBRG_map">

                    </map>

                    <map name="BW_map" id="BW_map">

                    </map>

                    <map name="BYRN_map" id="BYRN_map">

                    </map>

                    <map name="HMBRG_map" id="HMBRG_map">

                    </map>

                    <map name="HSSN_map" id="HSSN_map">

                    </map>

                    <map name="MCKLNBRG_map" id="MCKLNBRG_map">

                    </map>

                    <map name="NDRSCHSN_map" id="NDRSCHSN_map">

                    </map>

                    <map name="NRW_map" id="NRW_map">

                    </map>

                    <map name="RHNLDPFLZ_map" id="RHNLDPFLZ_map">

                    </map>

                    <map name="SCHLSWG_map" id="SCHLSWG_map">

                    </map>

                    <map name="SCHSN_map" id="SCHSN_map">

                    </map>

                    <map name="SCHSNNHLT_map" id="SCHSNNHLT_map">

                    </map>

                    <map name="SRLND_map" id="SRLND_map">

                    </map>

                    <map name="THRNGN_map" id="THRNGN_map">

                    </map>

                </div>

                <div class="col-lg-4 col-12">
                    <form method="post" class="form-filter" action="">
                        <div class="form-check d-block" id="beforeReturn">
                            <input type="checkbox" class="form-check-input" onclick="checkBoxChange()" name="AllTurbines" id="AllTurbines"></input>
                            <label class="form-check-label" for="AllTurbines">All Turbines</label>
                        </div>
                        <div class="form-check d-block">
                            <input type="checkbox" class="form-check-input" onclick="checkBoxChange()" name="MalfTurbines" id="NOK"></input>
                            <label class="form-check-label" for="NOK">Malfunctioning Turbines</label>
                        </div>
                        <div class="form-check d-block">
                            <input type="checkbox" class="form-check-input" onclick="checkBoxChange()" name="ToBeMtnd" id="CHECK"></input>
                            <label class="form-check-label" for="CHECK">In need of maintenance</label>
                        </div>
                        <div class="form-group d-block">
                            <label class="form-label d-sm-inline" for="knownSince">Maintenence date in</label>
                            <select class="browser-default custom-select" onchange="" name="knownSince" id="knownSince">
                                <option value="2">less than 2 Weeks</option>
                                <option value="3">less than 4 Weeks</option>
                                <option value="4">less than 8 Weeks</option>
                            </select>
                        </div>
                    </form>
                </div>

            </div>

            <div id="popup">


            </div>
        </div>

        <script type="application/javascript">

            function checkBoxChange() {
               /* let turbineCoords = "#{turbineController.turbineCoords}";
                let turbineData = "#{turbineController.turbineData}";
                calculateAreas(turbineCoords, turbineData);*/

                if($("#map").attr("usemap") == "#general-map") {
                    composeImage("images/deutschland.png");
                }
            }

            $(".State, #outskirts").mouseover(function(){
                let src = "images/" + $(this).attr("alt") + ".png";
                // $("#map").attr("src", src);
                composeImage(src);
            });

            $(".pin").mouseover(function() {
                let src = $("#map").attr("src");
                if($("#map").attr("usemap") == "#general-map") {
                    src = "images/" + $(this).attr("alt") + ".png";
                    // $("#map").attr("src", src);
                }
                composeImage(src);
            });

            $(document).on('click','.pin',function(){
                let ID = $(this).attr("id") + "_div";
                let selector = "#" + ID;
                console.log(selector);
                let innerDIV1 = "&lt;div class=\"col\" id = \"placeholder\"> Lorem pizdum leeeeeel &lt;br> fuck this " + selector + " &lt;/div>&lt;div class=\"col\">&lt;img class=\"img-fluid img-thumbnail\" src=\"images/qwerty.jpg\" alt=\"teenTurbine\">&lt;/img>&lt;/div>";
                let innerDIV2 = "&lt;div class=\"row\">" + innerDIV1 + "&lt;/div>";
                let newDiv = "&lt;div class=\"turbine-description\" id=" + ID + ">" + innerDIV2 +"&lt;/div>";

                if(!$(selector).length){
                    $("#popup").prepend(newDiv);
                }
                $(".turbine-description").hide();
                $(selector).show();
            });

            window.onload = function() {
                console.log("govno");
                let turbineCoords = "#{turbineController.turbineCoords}";
                let turbineData = "#{turbineController.turbineData}";
                initializeDefaults();
                calculateAreas(turbineCoords, turbineData);
                sessionStorage.turbineData = turbineData;
                sessionStorage.turbineCoords = turbineCoords;

            };

            window.onresize = function() {
                let turbineCoords = "#{turbineController.turbineCoords}";
                let turbineData = "#{turbineController.turbineData}";

                calculateAreas(turbineCoords, turbineData);
                sessionStorage.turbineData = turbineData;
                sessionStorage.turbineCoords = turbineCoords;
            };

            function initializeDefaults() {
                sessionStorage.defaultWidth = 2000;
                sessionStorage.defaultHeight = 2706;
            }


            $(".State").click(function () {
                $('html,body').scrollTop(0);

                let src = "images/regions/" + $(this).attr("alt") + ".png";
                let usemap = "#" + $(this).attr("alt") + "_map";

                // $("#map").attr("src", src);
                $("#map").attr("usemap", usemap);

                if (!$(".returnBtn").length) {
                    let ID = "returnBtn";
                    let srcInitial = "images/deutschland.png";
                    var newDiv = "&lt;div class=\"returnBtn\" id=\" "+ ID +" \">" + "&lt;input id=\"retBtn\" type=\"button\" value=\"General map\" onclick=\" returnToGeneralMap();\">" + "&lt;/input>" + "&lt;/div>";
                    $("#beforeReturn").before(newDiv);

                } else { $(".returnBtn").removeClass("hidden");}

                composeImage(src);
            });

            function returnToGeneralMap() {
                console.log("SUKAAAAAAAA");
                let srcInitial = "images/deutschland.png";
                let mapInitial = "#general-map";
                // $("#map").attr("src", srcInitial);
                $("#map").attr("usemap", mapInitial);
                $(".returnBtn").addClass("hidden");

                composeImage(srcInitial);
            }
        </script>

    </div>
    <script src="js/resize.js" type="application/javascript"></script>



</body>

</html>
